CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2010-1163

The command matching functionality in sudo 1.6.8 through 1.7.2p5 does not properly handle when a file in the current working directory has the same name as a pseudo-command in the sudoers file and the PATH contains an entry for ".", which allows local users to execute arbitrary commands via a Trojan horse executable, as demonstrated using sudoedit, a different vulnerability than CVE-2010-0426.
Publish Date : 2010-04-16 Last Update Date : 2017-09-18
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
6.9
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute Code
CWE ID 20

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat moderate
6.0
AV:L/AC:H/Au:S/C:C/I:C/A:C 2010-04-07 2010-04-13
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2010-1163 oval:org.opensuse.security:def:20101163 unix
DEPRECATED: ELSA-2010-0361 -- sudo security update (moderate) oval:org.mitre.oval:def:28003 unix
ELSA-2010:0361: sudo security update (Moderate) oval:org.mitre.oval:def:23082 unix
RHSA-2010:0361: sudo security update (Moderate) oval:org.mitre.oval:def:22224 unix
RHSA-2010:0361: sudo security update (Moderate) oval:com.redhat.rhsa:def:20100361 unix
The command matching functionality in sudo 1.6.8 through 1.7.2p5 does not properly handle when a file in the current wor... oval:org.mitre.oval:def:9382 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2010-1163

# Product Type Vendor Product Version Update Edition Language
1 Application Todd Miller Sudo 1.6.8 P8 Version Details Vulnerabilities
2 Application Todd Miller Sudo 1.6.8 P1 Version Details Vulnerabilities
3 Application Todd Miller Sudo 1.6.8 P9 Version Details Vulnerabilities
4 Application Todd Miller Sudo 1.6.8 P12 Version Details Vulnerabilities
5 Application Todd Miller Sudo 1.6.8p7 Version Details Vulnerabilities
6 Application Todd Miller Sudo 1.6.8 P2 Version Details Vulnerabilities
7 Application Todd Miller Sudo 1.6.8 P5 Version Details Vulnerabilities
8 Application Todd Miller Sudo 1.6.8 P7 Version Details Vulnerabilities
9 Application Todd Miller Sudo 1.6.8 Version Details Vulnerabilities
10 Application Todd Miller Sudo 1.6.9 P19 Version Details Vulnerabilities
11 Application Todd Miller Sudo 1.6.9 P20 Version Details Vulnerabilities
12 Application Todd Miller Sudo 1.6.9 P21 Version Details Vulnerabilities
13 Application Todd Miller Sudo 1.6.9 P22 Version Details Vulnerabilities
14 Application Todd Miller Sudo 1.6.9 P17 Version Details Vulnerabilities
15 Application Todd Miller Sudo 1.6.9 P18 Version Details Vulnerabilities
16 Application Todd Miller Sudo 1.7.0 Version Details Vulnerabilities
17 Application Todd Miller Sudo 1.7.1 Version Details Vulnerabilities
18 Application Todd Miller Sudo 1.7.2p3 Version Details Vulnerabilities
19 Application Todd Miller Sudo 1.7.2p4 Version Details Vulnerabilities
20 Application Todd Miller Sudo 1.7.2p1 Version Details Vulnerabilities
21 Application Todd Miller Sudo 1.7.2p2 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Todd Miller Sudo 21

- References For CVE-2010-1163

http://lists.fedoraproject.org/pipermail/package-announce/2010-April/039986.html
FEDORA FEDORA-2010-6756
http://lists.opensuse.org/opensuse-security-announce/2011-01/msg00006.html
SUSE SUSE-SR:2011:002
https://exchange.xforce.ibmcloud.com/vulnerabilities/57836
XF sudo-sudoefit-privilege-escalation(57836)
http://www.vupen.com/english/advisories/2011/0212
VUPEN ADV-2011-0212
http://www.vupen.com/english/advisories/2010/0956
VUPEN ADV-2010-0956
http://www.vupen.com/english/advisories/2010/1019
VUPEN ADV-2010-1019
http://www.securityfocus.com/archive/1/archive/1/514489/100/0/threaded
BUGTRAQ 20101027 rPSA-2010-0075-1 sudo
http://www.securityfocus.com/bid/39468
BID 39468 Todd Miller Sudo 'sudoedit' Path Resolution Local Privilege Escalation Vulnerability Release Date:2014-11-14
http://www.sudo.ws/sudo/alerts/sudoedit_escalate2.html CONFIRM
http://www.ubuntu.com/usn/USN-928-1
UBUNTU USN-928-1
http://www.vupen.com/english/advisories/2010/0881
VUPEN ADV-2010-0881
http://www.vupen.com/english/advisories/2010/0895
VUPEN ADV-2010-0895
http://www.vupen.com/english/advisories/2010/0904
VUPEN ADV-2010-0904
http://www.vupen.com/english/advisories/2010/0949
VUPEN ADV-2010-0949
http://www.securityfocus.com/archive/1/archive/1/510880/100/0/threaded
BUGTRAQ 20100422 Re: sudoedit local privilege escalation through PATH manipulation
http://www.securityfocus.com/archive/1/archive/1/510846/100/0/threaded
BUGTRAQ 20100420 Re: sudoedit local privilege escalation through PATH manipulation
http://www.securityfocus.com/archive/1/archive/1/510827/100/0/threaded
BUGTRAQ 20100419 sudoedit local privilege escalation through PATH manipulation
http://www.redhat.com/support/errata/RHSA-2010-0361.html
REDHAT RHSA-2010:0361
http://wiki.rpath.com/Advisories:rPSA-2010-0075 CONFIRM
http://www.mandriva.com/security/advisories?name=MDVSA-2010:078
MANDRIVA MDVSA-2010:078
http://slackware.com/security/viewer.php?l=slackware-security&y=2010&m=slackware-security.577019
SLACKWARE SSA:2010-110-01

- Metasploit Modules Related To CVE-2010-1163

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.